

import java.io.IOException;
import java.util.TimerTask;

import net.tinyos.message.Message;
import net.tinyos.message.MessageListener;
import net.tinyos.message.MoteIF;
import net.tinyos.packet.BuildSource;
import net.tinyos.packet.PhoenixSource;
import net.tinyos.util.PrintStreamMessenger;

/**
 * Classe encarregada d'enviar un missatge a la mota per reconeixer una alarma rebuda.
 * @author jterre
 *
 */
public class ReconeixerAlrm extends TimerTask implements MessageListener {
	
	MoteIF mif;
	int nodeId;
	
	/**
	 * Constructor.
	 * @param nodeId
	 */
	public ReconeixerAlrm(int nodeId){
		PhoenixSource phoenix;
		phoenix = BuildSource.makePhoenix(PrintStreamMessenger.err);
		
		String source="sf@localhost:9002";	
		phoenix = BuildSource.makePhoenix(source, PrintStreamMessenger.err);
		this.mif = new MoteIF(phoenix);
		
		this.nodeId = nodeId;
		
	}
	
	@Override
	public void messageReceived(int to, Message m) { }
	
	/**
	 * Envio dels missatges de reconeixement de l'alarma.
	 */
	@Override
	public void run() {
		//S'envia un missatge a la mota		
		ReconAlrmMsg msg = new ReconAlrmMsg();
		msg.set_nodeid(nodeId);
		try {		
			mif.send(65535,msg);		// send brodcast
			mif.send(65535,msg);
			mif.send(65535,msg);
		} catch (IOException e) {
			System.err.println("No s'ha pogut enviar el missatge a les motes");
		}
	}
}


