

import java.io.IOException;
import java.util.TimerTask;

import net.tinyos.message.Message;
import net.tinyos.message.MessageListener;
import net.tinyos.message.MoteIF;
import net.tinyos.packet.BuildSource;
import net.tinyos.packet.PhoenixSource;
import net.tinyos.util.PrintStreamMessenger;

/**
 * Classe encarregada d'enviar la configuració de temperatura a la mota.
 * @author jterre
 *
 */
public class TransConfigTemp extends TimerTask implements MessageListener {
	
	MoteIF mif;
	int nodeId;
	int mostreig;
	int llindar;
	
	/**
	 * Contructor.
	 * @param nodeId
	 * @param mostreig
	 * @param llindar
	 */
	public TransConfigTemp(int nodeId, int mostreig, int llindar){
		PhoenixSource phoenix;
		phoenix = BuildSource.makePhoenix(PrintStreamMessenger.err);
		
		String source="sf@localhost:9002";	
		phoenix = BuildSource.makePhoenix(source, PrintStreamMessenger.err);
		this.mif = new MoteIF(phoenix);
		
		this.nodeId = nodeId;
		this.mostreig = mostreig;
		this.llindar = llindar;
	}
	
	@Override
	public void messageReceived(int to, Message m) { }
	
	/**
	 * Envio del missatge amb els valors de configuració de temperatura.
	 */
	@Override
	public void run() {
		//S'envia un missatge a la mota		
		ConfigTempMsg msg = new ConfigTempMsg();
		msg.set_nodeid(nodeId);
		msg.set_mostreig(mostreig);
		msg.set_llindar(llindar);
		try {		
			mif.send(65535,msg);		// send brodcast
		} catch (IOException e) {
			System.err.println("No s'ha pogut enviar el missatge a les motes");
		}
	}
}


