#ifndef NODECONFIG_H
#define NODECONFIG_H

#ifndef RF230_HARDWARE_ACK
#define RF230_HARDWARE_ACK
#endif

enum {
	ALRM_TEMP = 1,
	ALRM_BAT = 2,

	AUTOMATIC = 3,
	MANUAL = 4,

	AM_TEMPMSG = 6, 
	AM_BATMSG = 7,
	AM_ALRMMSG = 8,

	AM_CONFIGTEMPMSG = 9,
	AM_CONFIGBATMSG = 10,

	AM_DEMCONFIGMSG = 12,
	
	AM_RECONALRMMSG = 13,

	AM_ACKALRMMSG = 14,

	TIMER_TEMP = 3000,
	TIMER_BAT = 2000,

	LLINDAR_TEMP = 0x250,
	LLINDAR_BAT = 0x02

};

typedef nx_struct TempMsg{
	nx_uint16_t nodeid;
	nx_uint16_t temp;
}TempMsg;

typedef nx_struct BatMsg{
	nx_uint16_t nodeid;
	nx_uint16_t bat;
	nx_uint16_t rssi;
} BatMsg;

typedef nx_struct AlrmMsg{
	nx_uint16_t nodeid;
	nx_uint16_t tipusAlrm;
	nx_uint16_t valor;
	nx_uint16_t modeAct;
}AlrmMsg;

typedef nx_struct ConfigTempMsg{
	nx_uint16_t nodeid;
	nx_uint16_t mostreig;
	nx_uint16_t llindar;
}ConfigTempMsg;

typedef nx_struct ConfigBatMsg{
	nx_uint16_t nodeid;
	nx_uint16_t mostreig;
	nx_uint16_t llindar;
}ConfigBatMsg;

typedef nx_struct DemConfigMsg{
	nx_uint16_t nodeid;
}DemConfigMsg;

typedef nx_struct ReconAlrmMsg{
	nx_uint16_t nodeid;
}ReconAlrmMsg;

typedef nx_struct AckAlrmMsg{
	nx_uint16_t nodeid;
}AckAlrmMsg;

#endif
